> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Jobs

> Get company jobs



## OpenAPI

````yaml /openapi/linkedin.openapi.json post /v1/data/linkedin/company-jobs
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/company-jobs:
    post:
      tags:
        - Company
      summary: Get Company Jobs
      description: Get company jobs
      operationId: Get_Company_Jobs
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                companyIds:
                  type: array
                  items:
                    type: integer
                page:
                  type: integer
            example:
              companyIds:
                - 5383240
                - 2382910
              page: 1
              sort: mostRecent
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_linkedin_company_jobs_Response'
              example:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          type: object
                      total:
                        type: integer
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_linkedin_company_jobs_Response:
      type: object
      properties:
        type:
          type: string
        properties:
          type: object
          properties:
            success:
              type: object
              properties:
                type:
                  type: string
            message:
              type: object
              properties:
                type:
                  type: string
            data:
              type: object
              properties:
                type:
                  type: string
                properties:
                  type: object
                  properties:
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                    total:
                      type: object
                      properties:
                        type:
                          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.